Subject: bug#25580: 2.5.1; urgent - crashing . randomly and progressively

From: Eli Zaretskii <[email-masked]>
Date: Fri, 03 Feb 2017 10:40:58 +0200

[Please keep the bug address on the CC list, so that this discussion
gets recorded by the Emacs bug tracker.]

> From: "EG" <[email-masked]>
> Date: Fri, 03 Feb 2017 16:12:49 +0900
> 
> thank you this was helpful but here it seems we are already running into some ambiguities or hurdles.
> 
> first, emacs seems to be under /usr/bin/  however, i have 
> 
> emacs        emacs-25.1   emacsclient 
> 
> this doesn't make too much sense to me. Whenever I enter `emacs' into the terminal version 25.1.1 starts up. So, I am unsure why emacs and emacs-25.1 show up. Any hints ?

They are both the same executable, probably hard-linked to the same
data on disk.  Check out what "ls -l" says about the number of links.

> If I type :
> -----------------------------------------------------------------
> [t@localhost /]$ gdb /usr/bin/emacs
> GNU gdb (GDB) Fedora 7.12-36.fc25
> Copyright (C) 2017 Free Software Foundation, Inc.
> License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
> and "show warranty" for details.
> This GDB was configured as "x86_64-redhat-linux-gnu".
> Type "show configuration" for configuration details.
> For bug reporting instructions, please see:
> <http://www.gnu.org/software/gdb/bugs/>.
> Find the GDB manual and other documentation resources online at:
> <http://www.gnu.org/software/gdb/documentation/>.
> For help, type "help".
> Type "apropos word" to search for commands related to "word"...
> Reading symbols from /usr/bin/emacs...Reading symbols from /usr/bin/emacs...(no debugging symbols found)...done.
> (no debugging symbols found)...done.
> Missing separate debuginfos, use: dnf debuginfo-install emacs-25.1-3.fc25.x86_64

See the last line: you need to install additional packages to produce
information about the crash which will allow us to make proghress with
this problem.

Thanks.